import { Color } from "../common/color.js";
import { URI } from "../common/uri.js";
export type CssFragment = string & {
    readonly __cssFragment: unique symbol;
};
export declare function asCssValueWithDefault(cssPropertyValue: string | undefined, dflt: string): string;
export declare function sizeValue(value: string): CssFragment;
export declare function hexColorValue(value: string): CssFragment;
export declare function identValue(value: string): CssFragment;
export declare function stringValue(value: string): CssFragment;
export declare function asCSSUrl(uri: URI | null | undefined): CssFragment;
export declare function className(value: string, escapingExpected?: boolean): CssFragment;
type InlineCssTemplateValue = CssFragment | Color;
export declare function inline(strings: TemplateStringsArray, ...values: InlineCssTemplateValue[]): CssFragment;
export declare class Builder {
    private readonly _parts;
    push(...parts: CssFragment[]): void;
    join(joiner?: string): CssFragment;
}
export {};
