import { IObservable, IObservableWithChange } from "../../../../base/common/observable.js";
import { IAccessibilityService } from "../../../../platform/accessibility/common/accessibility.service.js";
import { IDiffEditorOptions, IEditorOptions } from "../../../common/config/editorOptions.js";
import { DiffEditorViewModel } from "./diffEditorViewModel.js";
export declare class DiffEditorOptions {
    private readonly _accessibilityService;
    private readonly _options;
    get editorOptions(): IObservableWithChange<IEditorOptions, {
        changedOptions: IEditorOptions;
    }>;
    private readonly _diffEditorWidth;
    private readonly _screenReaderMode;
    constructor(options: Readonly<IDiffEditorOptions>, _accessibilityService: IAccessibilityService);
    readonly couldShowInlineViewBecauseOfSize: IObservable<boolean>;
    readonly renderOverviewRuler: IObservable<boolean>;
    readonly renderSideBySide: IObservable<boolean>;
    readonly readOnly: IObservable<boolean | undefined>;
    readonly shouldRenderOldRevertArrows: IObservable<boolean>;
    readonly shouldRenderGutterMenu: IObservable<boolean>;
    readonly renderIndicators: IObservable<boolean>;
    readonly enableSplitViewResizing: IObservable<boolean>;
    readonly splitViewDefaultRatio: IObservable<number>;
    readonly ignoreTrimWhitespace: IObservable<boolean>;
    readonly maxComputationTimeMs: IObservable<number>;
    readonly showMoves: IObservable<boolean>;
    readonly isInEmbeddedEditor: IObservable<boolean>;
    readonly diffWordWrap: IObservable<"inherit" | "off" | "on">;
    readonly originalEditable: IObservable<boolean>;
    readonly diffCodeLens: IObservable<boolean>;
    readonly accessibilityVerbose: IObservable<boolean>;
    readonly diffAlgorithm: IObservable<"advanced" | "legacy">;
    readonly showEmptyDecorations: IObservable<boolean>;
    readonly onlyShowAccessibleDiffViewer: IObservable<boolean>;
    readonly compactMode: IObservable<boolean>;
    private readonly trueInlineDiffRenderingEnabled;
    readonly useTrueInlineDiffRendering: IObservable<boolean>;
    readonly hideUnchangedRegions: IObservable<boolean>;
    readonly hideUnchangedRegionsRevealLineCount: IObservable<number>;
    readonly hideUnchangedRegionsContextLineCount: IObservable<number>;
    readonly hideUnchangedRegionsMinimumLineCount: IObservable<number>;
    updateOptions(changedOptions: IDiffEditorOptions): void;
    setWidth(width: number): void;
    private readonly _model;
    setModel(model: DiffEditorViewModel | undefined): void;
    private readonly shouldRenderInlineViewInSmartMode;
    readonly inlineViewHideOriginalLineNumbers: IObservable<boolean>;
}
