import { IContextKeyService } from "../../contextkey/common/contextkey.service.js";
import { MenuId, IMenuCreateOptions, IMenu, IMenuActionOptions, MenuItemAction, SubmenuItemAction } from "./actions.js";
export declare const IMenuService: import("../../instantiation/common/instantiation.js").ServiceIdentifier<IMenuService>;
export interface IMenuService {
    readonly _serviceBrand: undefined;
    createMenu(id: MenuId, contextKeyService: IContextKeyService, options?: IMenuCreateOptions): IMenu;
    getMenuActions(id: MenuId, contextKeyService: IContextKeyService, options?: IMenuActionOptions): [
        string,
        Array<MenuItemAction | SubmenuItemAction>
    ][];
    getMenuContexts(id: MenuId): ReadonlySet<string>;
    resetHiddenStates(): void;
    resetHiddenStates(menuIds: readonly MenuId[] | undefined): void;
}
