import { IOutputDto, IOutputItemDto } from "./notebookCommon.js";
import { INotebookCellExecution } from "@codingame/monaco-vscode-9a6d8b6c-ad4c-5ea3-9558-f43d6dc4c0ad-common/vscode/vs/workbench/contrib/notebook/common/notebookExecutionStateService";
export declare enum CellExecutionUpdateType {
    Output = 1,
    OutputItems = 2,
    ExecutionState = 3
}
export interface ICellExecuteOutputEdit {
    editType: CellExecutionUpdateType.Output;
    cellHandle: number;
    append?: boolean;
    outputs: IOutputDto[];
}
export interface ICellExecuteOutputItemEdit {
    editType: CellExecutionUpdateType.OutputItems;
    append?: boolean;
    outputId: string;
    items: IOutputItemDto[];
}
export interface ICellExecutionParticipant {
    onWillExecuteCell(executions: INotebookCellExecution[]): Promise<void>;
}
