import { IPath } from "../../../../base/common/path.js";
import { OperatingSystem } from "../../../../base/common/platform.js";
import { URI } from "../../../../base/common/uri.js";
export declare const IPathService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IPathService>;
export interface IPathService {
    readonly _serviceBrand: undefined;
    readonly path: Promise<IPath>;
    readonly defaultUriScheme: string;
    fileURI(path: string): Promise<URI>;
    userHome(options: {
        preferLocal: true;
    }): URI;
    userHome(options?: {
        preferLocal: boolean;
    }): Promise<URI>;
    hasValidBasename(resource: URI, basename?: string): Promise<boolean>;
    hasValidBasename(resource: URI, os: OperatingSystem, basename?: string): boolean;
    readonly resolvedUserHome: URI | undefined;
}
